# Uses of Enum Class
com.google.protobuf.DescriptorProtos.FeatureSet.EnumType

Packages that use DescriptorProtos.FeatureSet.EnumType
Package
Description
com.google.protobuf

## Uses of DescriptorProtos.FeatureSet.EnumType in com.google.protobuf

Methods in com.google.protobuf that return DescriptorProtos.FeatureSet.EnumType
Modifier and Type
Method
Description
`static DescriptorProtos.FeatureSet.EnumType`
DescriptorProtos.FeatureSet.EnumType.`forNumber(int value)`
`DescriptorProtos.FeatureSet.EnumType`
DescriptorProtos.FeatureSet.Builder.`getEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.EnumType`
DescriptorProtos.FeatureSet.`getEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`DescriptorProtos.FeatureSet.EnumType`
DescriptorProtos.FeatureSetOrBuilder.`getEnumType()`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`
`static DescriptorProtos.FeatureSet.EnumType`
DescriptorProtos.FeatureSet.EnumType.`valueOf(int value)`
Deprecated.
`static DescriptorProtos.FeatureSet.EnumType`
DescriptorProtos.FeatureSet.EnumType.`valueOf(Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FeatureSet.EnumType`
DescriptorProtos.FeatureSet.EnumType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DescriptorProtos.FeatureSet.EnumType[]`
DescriptorProtos.FeatureSet.EnumType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf that return types with arguments of type DescriptorProtos.FeatureSet.EnumType
Modifier and Type
Method
Description
`static Internal.EnumLiteMap<DescriptorProtos.FeatureSet.EnumType>`
DescriptorProtos.FeatureSet.EnumType.`internalGetValueMap()`
Methods in com.google.protobuf with parameters of type DescriptorProtos.FeatureSet.EnumType
Modifier and Type
Method
Description
`DescriptorProtos.FeatureSet.Builder`
DescriptorProtos.FeatureSet.Builder.`setEnumType(DescriptorProtos.FeatureSet.EnumType value)`
`optional .google.protobuf.FeatureSet.EnumType enum_type = 2 [json_name = "enumType", retention = RETENTION_RUNTIME, targets = TARGET_TYPE_ENUM, targets = TARGET_TYPE_FILE, edition_defaults = { ...`